# Interface GroundExtensionProperties

Properties that can be passed into the constructor for mapping/GroundExtension!GroundExtension.

interface GroundExtensionProperties {
failureMode?: FailureMode;
ground?: GroundLike;
id?: string;
layerExtensions?: (LayerExtensionProperties | LayerExtension<LayerExtensionProperties>)[];
taskSettings?: TaskSettingsProperties;
}

#### Hierarchy (view full)

- EntityBaseProperties
  - GroundExtensionProperties

#####
Index

### Properties

failureMode?
ground?
id?
layerExtensions?
taskSettings?

##
Properties

### `Optional` failureMode

failureMode?: FailureMode

See support/InitializableBase!InitializableBase.failureMode.

Inherited from EntityBaseProperties.failureMode

### `Optional` ground

ground?: GroundLike

The Esri Ground object being extended. This property can also be "world-elevation", in which case a default instance of Ground with the world elevation service will be used.

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityBaseProperties.id

### `Optional` layerExtensions

layerExtensions?: (LayerExtensionProperties | LayerExtension<LayerExtensionProperties>)[]

See mapping/GroundExtension!GroundExtension.layerExtensions.

### `Optional` taskSettings

taskSettings?: TaskSettingsProperties

See data/FeatureSource!FeatureSource.taskSettings.